Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.settings
Class SoftSettingsHash.EntryIterator

    java.lang.Object
      org.archive.crawler.settings.SoftSettingsHash.EntryIterator

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  SoftSettingsHash

     class SoftSettingsHash.EntryIterator

extends java.lang.Object
implements java.util.Iterator

Iterator over all elements in hash.

Field Summary
`(package private) java.lang.String` | `currentKey` Strong reference needed to avoid disappearance of key between nextEntry() and any use of the entry
`(package private) SoftSettingsHash.SettingsEntry` | `entry`
`(package private) int` | `expectedModCount`
`(package private) int` | `index`
`(package private) SoftSettingsHash.SettingsEntry` | `lastReturned`
`(package private) java.lang.String` | `nextKey` Strong reference needed to avoid disappearance of key between hasNext and next

Constructor Summary
`SoftSettingsHash.EntryIterator()`

Method Summary
`boolean` | `hasNext()`
`java.lang.Object` | `next()` The common parts of next() across different types of iterators
`SoftSettingsHash.SettingsEntry` | `nextEntry()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    int index

### entry

    SoftSettingsHash.SettingsEntry entry

### lastReturned

    SoftSettingsHash.SettingsEntry lastReturned

### expectedModCount

    int expectedModCount

### nextKey

    java.lang.String nextKey

  Strong reference needed to avoid disappearance of key between hasNext and next

### currentKey

    java.lang.String currentKey

  Strong reference needed to avoid disappearance of key between nextEntry() and any use of the entry

Constructor Detail

### SoftSettingsHash.EntryIterator

    SoftSettingsHash.EntryIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  The common parts of next() across different types of iterators

  Specified by:
    `next` in interface `java.util.Iterator`

### nextEntry

    public SoftSettingsHash.SettingsEntry nextEntry()

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.